FROM debian

RUN apt-get update -yqq
RUN apt-get install -yqq git wget python3 python3-pip

# Install node LTS
RUN wget https://deb.nodesource.com/setup_16.x
RUN bash setup_16.x
RUN rm setup_16.x
RUN apt-get install -yqq nodejs

# Install eyeo/cms
RUN git clone -b migration-to-python3 --single-branch https://gitlab.com/eyeo/websites/cms.git /srv/cms
RUN python3 -m pip install -r /srv/cms/requirements.txt
ENV PYTHONPATH="/srv/cms:$PYTHONPATH"